Bug 77401 - Slow program startup
Slow program startup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-06 09:43 EST by Brian G. Anderson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2002-11-06 09:43:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I have a Dell lattitude 840 laptop running at 2Ghz with 1G of main memory and 2G
of swap.  However, starting a program takes a long time.  Even a simple program
like freecell can take about 20 seconds.  It never took this long using 7.3. 
Large programs like eclipse or openoffice are even worse.

It might be disk related since during a program start there will be times when
CPU utilization is zero, but the disk is still or flashing very intermittedly. 
If I run the same program again, it is usually quick to start since it will be
in memory already.

Using hdparm I see that I have DMA on and read-ahead.  Most of my disks are
under LVM:  all of them except swap, root, and boot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start a largish program from the menu 
2.
3.
	

Actual Results:  slow startup with a lot of CPU and disk idle time

Expected Results:  faster startup with heavy CPU utilization and disk activity

Additional info:
Comment 1 Brian G. Anderson 2002-11-09 09:37:50 EST
I reinstalled RH8.0 and removed LVM, but I still see the same behavior.  Initial
program start is very slow.  Even doin a 'man ls' takes about 15 seconds the
first time.  The disk light is naver full on, but always sputtering.

Comment 2 Brian G. Anderson 2003-01-13 09:26:51 EST
I have done some additional investigation and I have found that the problem is
with a program called magicdev.  If I kill this program my IDE hard drive speed
will double and my program startup times return to normal.

I found the bug 73661 which seems to mention a similar type of problem, so this
is probably a dupe of that.

Interesting side note:  I installed redhat 8.1 beta (Phobe) and the problem
doesn't occur.
Comment 3 Bugzilla owner 2004-09-30 11:40:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.